/*
		MDXexploFX.sqf
		Version 1.01 BETA
		
		by MadDogX
*/

_vehicle = _this select 0;
_forceTA = -1;
if ((count _this)>1) then 
{
	_p1 = _this select 1;
	if (_p1) then {_forceTA = 1;} else {_forceTA = 0;};
};

// Check for vehicle types: Helicopter, Plane, Tank, Car, Ship
_vehicleType = "-";
if ((nearestObject[position _vehicle, "Car"])==_vehicle) then {_vehicleType = "Car";};
if ((nearestObject[position _vehicle, "Helicopter"])==_vehicle) then {_vehicleType = "Helicopter";};
if ((nearestObject[position _vehicle, "Plane"])==_vehicle) then {_vehicleType = "Plane";};
if ((nearestObject[position _vehicle, "Ship"])==_vehicle) then {_vehicleType = "Ship";};
if ((nearestObject[position _vehicle, "Tank"])==_vehicle) then {_vehicleType = "Tank";};

// Check for specific vehicles
_vehicleSubTypes = [];
_subTypeFound = false;
_vehicleSubType = "";
for [{_x=0},{_x<(count _vehicleSubTypes)},{_x=_x+1}] do
{
	if (typeOf(_vehicle)==(_vehicleSubTypes select _x)) then {_vehicleSubType = typeOf(_vehicle); _subTypeFound = true;};
};

// Check if vehicle type was detected
if (_vehicleType=="-") then
{
	// Vehicle type not supported!
}
else
{
	// Generate type name
	_vehicleClass = "";
	if (_subTypeFound) then {_vehicleClass = format["%1_%2",_vehicleType,_vehicleSubType];} else {_vehicleClass = format["Generic_%1",_vehicleType];};
	// Initialize appropriate script
	[_vehicle, _forceTA] execVM format["MDXexploFX\FX_%1.sqf", _vehicleClass];
};
